# Fine grain Emotion Analysis in Spanish using linguistic features and transformers
Mental health issues are a global concern, with a particular focus on the rise of depression, which affects millions of people worldwide and is a leading cause of suicide, especially among young people. The study highlights an increase in depression cases during the COVID-19 pandemic, which will affect approximately 5.4\% of the population in Spain in 2020. This research explores the field of emotion analysis in Spanish towards depression. There are two contributions in this field. On the one hand, the compilation, translation, evaluation, and correction of a novel dataset is composed of a mixture of other existing datasets in the bibliography. This dataset compares a total of 16 emotions, with an emphasis on negative emotions. On the other hand, the in-depth evaluation of this novel dataset with several deep learning models based on explainable linguistic features and state-of-the-art models based on transformers, including monolingual, multilingual, and distilled models as well as feature integration techniques. The best results are obtained with the MarIA model separately, with a macro-averaged F1-score of 60.4771\% over the test set.


## Folders

    ```code/``` Contains the scripts
    ```assets/``` contains assets (dataset, features, models, evaluations) for each dataset


Check ```requirements.txt``` for install.